#
# spec file for package glfer
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           glfer
Version:        0.4.2
Release:        4.101
License:        GPL-2.0
Summary:        Reception and transmission of QRSS signals
Url:            http://www.qsl.net/in3otd/glfer.html
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.bz2
Source1:        glfer.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fftw-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  make
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)

%description

Glfer is a program for reception and transmission of QRSS signals, a mode used mainly on the 137 and 73 kHz band.

It is composed of two parts: a spectrogram window, where you can see the spectrum of the received signal vs. time and transmission functions, to emit cw characters at a slow but precisely controlled speed
.
Authors:
	 Claudio Girardi, IN3OTD



%prep
%setup -q

%build
%configure
make

%install
%make_install

%suse_update_desktop_file -c glfer Glfer "QRSS/DFCW lowfer application" glfer glfer "Network;HamRadio"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/mixer
%doc ChangeLog COPYING README NEWS TODO AUTHORS
%{_mandir}/man1/glfer.1.gz
%{_datadir}/pixmaps/glfer.png
%{_datadir}/applications/glfer.desktop

%changelog
* Tue Nov 12 2013 dl8fcl@darc.de
- clean up of spec file.
  changelog moved to separated file
* Thu May 13 2010 dl8fcl@darc.de
- fix BuildRequires for factory
* Mon Mar 15 2010 dl8fcl@darc.de
- update to version 0.4.2
* Mon Oct 27 2008 dl8fcl@darc.de
- update to version 0.4.1
* Tue Mar 20 2007 dl9pf@gmx.de
- import into buildservice
